Visual Studio 2019: Package not loaded 'deprecated APIs'

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for SQLite
Post Reply
billster6809
Posts: 30
Joined: Mon 27 Jan 2014 21:08

Visual Studio 2019: Package not loaded 'deprecated APIs'

Post by billster6809 » Sat 13 Apr 2019 13:22

With version 5.12.1366 (and earlier), when I load a solution using dotConnect SQLite, Visual Studio 2019 Enterprise tells me that Devart.Data.SQLite.VSProPackage was not loaded due to its use of deprecated APIs (sync autoload)

This is with the latest 2019 build (216.1.0).

Is this a problem?

Shalex
Site Admin
Posts: 8743
Joined: Thu 14 Aug 2008 12:44

Re: Visual Studio 2019: Package not loaded 'deprecated APIs'

Post by Shalex » Thu 18 Apr 2019 16:04

That is a warning about possible compatibility issue with future VS2019 versions. Please ignore it.

We are working on updating APIs.

Shalex
Site Admin
Posts: 8743
Joined: Thu 14 Aug 2008 12:44

Re: Visual Studio 2019: Package not loaded 'deprecated APIs'

Post by Shalex » Fri 07 Jun 2019 18:35

Deprecated design-time Synchronous API calls are no longer used with Visual Studio 2019 and Visual Studio 2017: viewtopic.php?f=29&t=38881.

Post Reply